package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.MarketMapBoxDes;


/**
*  service接口类
*/
public interface MarketMapBoxDesService{

    List<MarketMapBoxDes> getMarketMapBoxDesList(MarketMapBoxDes record);

    List<MarketMapBoxDes> getMarketMapBoxDesByPage(Page page, MarketMapBoxDes record);

    MarketMapBoxDes getMarketMapBoxDesById(String id);

    MarketMapBoxDes getMarketMapBoxDes(MarketMapBoxDes record);

    boolean createMarketMapBoxDes(MarketMapBoxDes record);

    boolean deleteMarketMapBoxDes(MarketMapBoxDes record);

    boolean updateMarketMapBoxDes(MarketMapBoxDes record);
}

